- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QRadioButton Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qradiobutton.h.

`#include <qradiobutton.h>`

Inheritance diagram for QRadioButton:
[legend]

List of all members.

## Public Member Functions
| QRadioButton (QWidget *parent=0)
| QRadioButton (const QString &text, QWidget *parent=0)
QSize | sizeHint () const
## Protected Member Functions
bool | event (QEvent *e)
bool | hitButton (const QPoint &) const
void | paintEvent (QPaintEvent *)
void | mouseMoveEvent (QMouseEvent *)
void | initStyleOption (QStyleOptionButton *button) const

## Constructor & Destructor Documentation

QRadioButton | ( | QWidget * | parent = `0` | ) | `[explicit]`

QRadioButton | ( | const QString & | text,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

bool hitButton | ( | const QPoint & |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractButton.

void mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void initStyleOption | ( | QStyleOptionButton * | button | ) | const `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qradiobutton.h

QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton
QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton QRadioButton